#!/opt/local/bin/perl
unless ($ARGV[0]) { print "What's the file name list?\n"; exit; }
open(FILELIST,"$ARGV[0]") or die "Can't open the file: $ARGV[0]$!\n";
while (<FILELIST>) {
	chomp;
	($prefix,$suffix) = split(/\./,$_,2);
	$ListOfPrefixes{$prefix} = 1;
	# print "The prefix is $prefix and the suffix is $suffix\n";
	
}


foreach my $member (keys %ListOfPrefixes) {
	$zipfile = "$member\.zip";
	if (-e $zipfile) { 
		print "$zipfile already exists\n";
		next; 
		} else {
		system("zip -D $zipfile $member.*");
	}
}

__END__
	$zipfile = "$prefix\.zip";
	print "$zipfile\n";



gap_pa_se.bil
gap_pa_se.hdr
kirkwood_pa_se.bil
kirkwood_pa_se.hdr
parkesburg_pa_nw.bil
parkesburg_pa_nw.hdr
parkesburg_pa_sw.bil
parkesburg_pa_sw.hdr
